/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.me.ReceiveSMS;

import javax.jws.WebService;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.ejb.Stateless;

/**
 *
 * @author ISC--DAIDP
 */
@WebService(serviceName = "ReceiveSMS")
@Stateless()
public class ReceiveSMS
{

    /**
     * Web service operation
     * @param int MOId
     * @param string Telco
     * @param string ServiceNum
     * @param string Phone
     * @param string Syntax
     * @param string EncryptedMessage
     * @param string Signature
     */
    @WebMethod(operationName = "ReceiveResponse")
    public String ReceiveResponse(@WebParam(name = "MOId") int MOId, @WebParam(name = "Telco") String Telco, @WebParam(name = "ServiceNum") String ServiceNum, @WebParam(name = "Phone") String Phone, @WebParam(name = "Syntax") String Syntax, @WebParam(name = "EncryptedMessage") String EncryptedMessage, @WebParam(name = "Signature") String Signature)
    {
        if (MOId <= 0
                || Telco.trim().equals("")
                || ServiceNum.trim().equals("")
                || Phone.trim().equals("")
                || Syntax.trim().equals("")
                || EncryptedMessage.trim().equals("")
                || Signature.trim().equals(""))
        {
            // check param input empty reuturn text
            return "01|Param Invalid";
        }
        else
        {
            /**
             * 1. Check Signature = SHA1(MOId + ServiceNum + Phone + MessageRequest + PrivateKey)
             * 2. Decode base 64 EncryptedMessage
             * 3. return string Messages Respone
             */
            return "00|Message response";
        }
    }
}
